
#include <stdio.h>
#include <sys/types.h>

typedef struct log_handler
{
	/*
	 * List of opened log files.
	 */
	FILE ** list;
	/*
	 * Total count of currently opened logs.
	 */
	int count;
} log_handler;

log_handler * create_logger( );
FILE * open_log( const char * filename, const char * access, log_handler * log );
void close_log( FILE * file, log_handler * log );
void close_all_logs( log_handler * log );
void write_to_all_logs( log_handler * log, const char * str );
